Множественные уязвимости в MantisBT

Дата публикации:
15.12.2010
Дата изменения:
04.01.2011
Всего просмотров:
1214
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
(AV:N/AC:L/Au:N/C:C/I:N/A:N/E:U/RL:O/RC:C) = Base:7.8/Temporal:5.8
CVE ID:
CVE-2010-4348
CVE-2010-4349
CVE-2010-4350
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MantisBT 1.x
Уязвимые версии: MantisBT версии до 1.2.4

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и просмотреть содержимое произвольных файлов на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "db_type" в сценарии admin/upgrade_unattended.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "db_type" в сценарии admin/upgrade_unattended.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога и URL-кодированный NULL-байт, подключить произвольные файлы на системе. Успешная эксплуатация уязвимости возможна, если приложение было установлено с нарушением правил установки и каталог "admin" не был удален сразу после установки.

URL производителя: www.mantisbt.org

Решение: Установите последнюю версию 1.2.4 с сайта производителя.

Ссылки: http://www.mantisbt.org/blog/?p=123
http://www.mantisbt.org/bugs/changelog_page.php?project=mantisbt&version=1.2.4
http://www.mantisbt.org/bugs/view.php?id=12607
http://www.zeroscience.mk/en/vulnerabilities/ZSL-2010-4983.php
http://www.zeroscience.mk/en/vulnerabilities/ZSL-2010-4984.php
Журнал изменений: 04.01.2011
Добавлены идентификаторы CVE.

или введите имя

CAPTCHA